XmVaCreateScrollBar(3)

NAME
XmVaCreateScrollBar, XmVaCreateManagedScrollBar — A ScrollBar widget convenience creation functions.

SYNOPSIS

#include <Xm/ScrollBar.h>

Widget XmVaCreateScrollBar(
Widget parent,
String name,
...);

Widget XmVaCreateManagedScrollBar(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateScrollBar function is a convenience routine that calls XtCreateWidget.

The XmVaCreateScrollBar function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ScrollBar and its associated resources, see XmScrollBar(3).

RETURN

Returns the ScrollBar widget ID.

RELATED

XmScrollBar(3), XmCreateScrollBar(3), XtCreateWidget(3), and XtCreateManagedWidget(3).